print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeambars = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local beambarsHudFile = "Paletten/hud_fill_beambars.dds"
	local beambarsHudFileSmall = "Paletten/hud_fill_beambars_small.dds"
	
    local beambarsFilType = g_fillTypeManager:addFillType("BEAMBARS", g_i18n:getText("beambars"), true, pricebeambars * 1.2, 0.00045, math.rad(10), beambarsHudFile, beambarsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbeambars=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbeambars=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BEAMBARS" then
		hasbeambars=true
	end;
		
end;

		if hasmaize and not hasbeambars then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BEAMBARS")
		local price = g_fillTypeManager:getFillTypeByName("BEAMBARS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BEAMBARS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)