print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricesteelbeam = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local steelbeamHudFile = "Paletten/hud_fill_steelbeam.dds"
	local steelbeamHudFileSmall = "Paletten/hud_fill_steelbeam_small.dds"
	
    local steelbeamFilType = g_fillTypeManager:addFillType("STEELBEAM", g_i18n:getText("steelbeam"), true, pricesteelbeam * 1.3, 0.00045, math.rad(10), steelbeamHudFile, steelbeamHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hassteelbeam=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hassteelbeam=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "STEELBEAM" then
		hassteelbeam=true
	end;
		
end;

		if hasmaize and not hassteelbeam then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("STEELBEAM")
		local price = g_fillTypeManager:getFillTypeByName("STEELBEAM").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("STEELBEAM")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)